QGIS Application - Bug report #20991
Processing model log file is empty
2019-01-14 09:50 AM - Magnus Nilsson

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.4.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 28810
Description

The log file produced by a Processing model is empty, even though the model works fine and produces output.

History

#1 - 2019-01-14 11:11 AM - Nyall Dawson
- Status changed from Open to Feedback

| can't reproduce. Can you share a screencast?

#2 - 2019-01-14 11:25 AM - Magnus Nilsson
- File Create points from table.model3 added
- Status changed from Feedback to Open

| have attached a simple model that creates points from a text file. The steps are:

1) Run model

2) Select data source. | use https://earthquake.usgs.gov/earthquakes/feed/v1.0/summary/4.5_day.csv as input.

)
)
3) Specify log file
4) Run model
)

5) Open the new log file, which is empty, even though the model runs fine.
By the way, when | have defined a log file, | dont’t see any indication (such as the file name) that | have specified a log file. Wouldnt that be informative for

the user? This might be a seperate ticket, though.

#3 - 2019-01-26 07:30 AM - Alexander Bruy
- Operating System deleted (Windows 10, 64 bit)
- Status changed from Open to Feedback

Can not reproduce. Where do you specify log file? There is only single output in your model — an output layer.

#4 - 2019-01-28 11:15 AM - Magnus Nilsson

Alexander Bruy wrote:
https://earthquake.usgs.gov/earthquakes/feed/v1.0/summary/4.5_day.csv

Can not reproduce. Where do you specify log file? There is only single output in your model — an output layer.

| specify the log file when choosing to run the model, not in the model itself.

#5 - 2019-01-28 12:11 PM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2019-01-29 03:40 AM - Nyall Dawson

- Status changed from Open to Feedback

| still don't understand. Can you post a screencast showing the issue?

#7 - 2019-01-29 07:23 AM - Alexander Bruy
I'm with Nyall here, also don't understand which log file mentioned in this ticket. Attached model works fine and after execution there is an entry in the

Processing history. Model itself does not have any log-file outputs.

#8 - 2019-02-12 07:28 AM - Alexander Bruy
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Files

Create points from table.model3 5.04 KB 2019-01-14 Magnus Nilsson
